Skip to main content
GET
/
inventory
/
get-inventory
/
v1
List your organization's inventory
curl --request GET \
  --url https://api.collectpure.com/inventory/get-inventory/v1 \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "quantity": 123,
      "purchasePricePer": 123,
      "purchaseSpotPrice": 123,
      "purchaseDate": "<string>",
      "purchaseSource": "<string>",
      "notes": "<string>",
      "certificateId": "<string>",
      "storedAt": "<string>",
      "createdAt": "<string>",
      "product": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>",
        "sku": "<string>",
        "material": "<string>"
      },
      "variant": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>"
      }
    }
  ],
  "total": 123
}

Authorizations

x-api-key
string
header
required

API key for authentication

Query Parameters

productId
string<uuid>

Filter by product ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
limit
integer
default:20

Maximum number of items to return (default 20, max 100)

Required range: 1 <= x <= 100
offset
integer
default:0

Number of items to skip (for pagination)

Required range: 0 <= x <= 9007199254740991

Response

200 - application/json

Default Response

data
object[]
required
total
number
required